## scummvm-tools 1.7.0

=== Makefile ===
#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     := -DHAVE_CONFIG_H
LDFLAGS     :=
INCLUDES    := -I. -I$(srcdir)
LIBS        :=
OBJS        :=
DEPDIR      := .deps

MODULES     :=
MODULE_DIRS :=

STANDALONE  :=
# This one will go away once all tools are converted
NO_MAIN     := -DEXPORT_MAIN


# Load the make rules generated by configure
-include config.mk

ifeq "$(HAVE_GCC)" "1"
	CXXFLAGS:= -Wall $(CXXFLAGS)
	# Turn off some annoying and not-so-useful warnings
	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
	# Enable even more warnings...
	CXXFLAGS+= -Wpointer-arith -Wcast-qual
	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings

	# Currently we disable this gcc flag, since it will also warn in cases,
	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
	# is not possible, thus it would fail compiliation with -Werror without
	# being helpful.
	#CXXFLAGS+= -Wmissing-format-attribute

ifneq "$(HAVE_CLANG)" "1"
	# enable checking of pointers returned by "new", but only when we do not
	# build with clang
	CXXFLAGS+= -fcheck-new
endif
endif

ifeq "$(HAVE_CLANG)" "1"
	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
endif

#######################################################################
# Default commands - put the necessary replacements in config.mk      #
#######################################################################

CAT     ?= cat
CP      ?= cp
ECHO    ?= printf
INSTALL ?= install
MKDIR   ?= mkdir -p
RM      ?= rm -f
RM_REC  ?= $(RM) -r
ZIP     ?= zip -q

#######################################################################

include $(srcdir)/Makefile.common

# check if configure has been run or has been changed since last run
config.h config.mk: $(srcdir)/configure
ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
	@echo "Running $(srcdir)/configure with the last specified parameters"
	@sleep 2
	LDFLAGS="$(SAVED_LDFLAGS)" CXX="$(SAVED_CXX)" \
			CXXFLAGS="$(SAVED_CXXFLAGS)" CPPFLAGS="$(SAVED_CPPFLAGS)" \
			ASFLAGS="$(SAVED_ASFLAGS)" WINDRESFLAGS="$(SAVED_WINDRESFLAGS)" \
			$(srcdir)/configure $(SAVED_CONFIGFLAGS)
else
	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
endif

# Special target to create a application wrapper for Mac OS X
bundle_name = ScummVM\ Tools.app
bundle: scummvm-tools$(EXEEXT)
	mkdir -p $(bundle_name)
	mkdir -p $(bundle_name)/Contents
	mkdir -p $(bundle_name)/Contents/MacOS
	mkdir -p $(bundle_name)/Contents/Resources
	echo "APPL????" > $(bundle_name)/Contents/PkgInfo
	cp $(srcdir)/dists/macosx/Info.plist $(bundle_name)/Contents/
	cp $(srcdir)/gui/media/*.* $(bundle_name)/Contents/Resources
	cp scummvm-tools$(EXEEXT) $(bundle_name)/Contents/MacOS/

#
# Windows specific
#

scummvmtoolswinres.o: $(srcdir)/gui/media/scummvmtools.ico $(srcdir)/dists/scummvmtools.rc
	$(QUIET_WINDRES)$(WINDRES) -DHAVE_CONFIG_H $(WINDRESFLAGS) $(DEFINES) -I. -I$(srcdir) $(srcdir)/dists/scummvmtools.rc scummvmtoolswinres.o

# Special target to create a win32 tools snapshot binary
WIN32PATH=c:/scummvm
win32dist:   all
	mkdir -p $(WIN32PATH)
	mkdir -p $(WIN32PATH)/graphics
	mkdir -p $(WIN32PATH)/tools
	mkdir -p $(WIN32PATH)/tools/media
	cp gui/media/detaillogo.jpg $(WIN32PATH)/tools/media/
	cp gui/media/logo.jpg $(WIN32PATH)/tools/media/
	cp gui/media/tile.gif $(WIN32PATH)/tools/media/
	$(STRIP) construct_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/construct_mohawk$(EXEEXT)
ifeq "$(USE_FREETYPE)" "1"
ifeq "$(USE_ICONV)" "1"
	$(STRIP) create_sjisfnt$(EXEEXT) -o $(WIN32PATH)/tools/create_sjisfnt$(EXEEXT)
endif
endif
	$(STRIP) decine$(EXEEXT) -o $(WIN32PATH)/tools/decine$(EXEEXT)
ifeq "$(USE_BOOST)" "1"
	$(STRIP) decompile$(EXEEXT) -o $(WIN32PATH)/tools/decompile$(EXEEXT)
endif
	$(STRIP) degob$(EXEEXT) -o $(WIN32PATH)/tools/degob$(EXEEXT)
	$(STRIP) dekyra$(EXEEXT) -o $(WIN32PATH)/tools/dekyra$(EXEEXT)
	$(STRIP) deriven$(EXEEXT) -o $(WIN32PATH)/tools/deriven$(EXEEXT)
	$(STRIP) descumm$(EXEEXT) -o $(WIN32PATH)/tools/descumm$(EXEEXT)
	$(STRIP) desword2$(EXEEXT) -o $(WIN32PATH)/tools/desword2$(EXEEXT)
	$(STRIP) extract_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/extract_mohawk$(EXEEXT)
	$(STRIP) gob_loadcalc$(EXEEXT) -o $(WIN32PATH)/tools/gob_loadcalc$(EXEEXT)
ifeq "$(USE_WXWIDGETS)" "1"
	$(STRIP) scummvm-tools$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools$(EXEEXT)
endif
	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools-cli$(EXEEXT)
	cp *.bat $(WIN32PATH)/tools
	cp COPYING $(WIN32PATH)/tools/COPYING.txt
	cp README $(WIN32PATH)/tools/README.txt
	cp NEWS $(WIN32PATH)/tools/NEWS.txt
	cp dists/win32/graphics/left.bmp $(WIN32PATH)/graphics
	cp dists/win32/graphics/scummvm-install.ico $(WIN32PATH)/graphics
	cp dists/win32/ScummVM?Tools.iss $(WIN32PATH)
	unix2dos $(WIN32PATH)/tools/*.txt

# Special target to create a win32 NSIS installer
WIN32BUILD=build
win32setup: all
	mkdir -p $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/COPYING          $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/NEWS             $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/README           $(srcdir)/$(WIN32BUILD)
	unix2dos $(srcdir)/$(WIN32BUILD)/*.*
	$(STRIP) construct_mohawk$(EXEEXT)   -o $(srcdir)/$(WIN32BUILD)/construct_mohawk$(EXEEXT)
ifeq "$(USE_FREETYPE)" "1"
ifeq "$(USE_ICONV)" "1"
	$(STRIP) create_sjisfnt$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/create_sjisfnt$(EXEEXT)
endif
endif
	$(STRIP) decine$(EXEEXT)             -o $(srcdir)/$(WIN32BUILD)/decine$(EXEEXT)
ifeq "$(USE_BOOST)" "1"
	$(STRIP) decompile$(EXEEXT)          -o $(srcdir)/$(WIN32BUILD)/decompile$(EXEEXT)
endif
	$(STRIP) degob$(EXEEXT)              -o $(srcdir)/$(WIN32BUILD)/degob$(EXEEXT)
	$(STRIP) dekyra$(EXEEXT)             -o $(srcdir)/$(WIN32BUILD)/dekyra$(EXEEXT)
	$(STRIP) deriven$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/deriven$(EXEEXT)
	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
	$(STRIP) gob_loadcalc$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/gob_loadcalc$(EXEEXT)
ifeq "$(USE_WXWIDGETS)" "1"
	$(STRIP) scummvm-tools$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/scummvm-tools$(EXEEXT)
endif
	$(STRIP) scummvm-tools-cli$(EXEEXT)  -o $(srcdir)/$(WIN32BUILD)/scummvm-tools-cli$(EXEEXT)
	makensis -V2 -Dtop_srcdir="../.." -Dtext_dir="../../$(WIN32BUILD)" -Dbuild_dir="../../$(WIN32BUILD)" $(srcdir)/dists/win32/scummvm-tools.nsi

#
# AmigaOS specific
#

# Special target to create an AmigaOS snapshot installation
aos4dist: all
	mkdir -p $(AOS4PATH)
	mkdir -p $(AOS4PATH)/graphics
	mkdir -p $(AOS4PATH)/tools
	mkdir -p $(AOS4PATH)/tools/media
	cp $(srcdir)/gui/media/detaillogo.jpg $(AOS4PATH)/tools/media/
	cp $(srcdir)/gui/media/logo.jpg $(AOS4PATH)/tools/media/
	cp $(srcdir)/gui/media/tile.gif $(AOS4PATH)/tools/media/
	$(STRIP) construct_mohawk$(EXEEXT) -o $(AOS4PATH)/tools/construct_mohawk$(EXEEXT)
ifeq "$(USE_FREETYPE)" "1"
ifeq "$(USE_ICONV)" "1"
	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AOS4PATH)/tools/create_sjisfnt$(EXEEXT)
endif
endif
	$(STRIP) decine$(EXEEXT) -o $(AOS4PATH)/tools/decine$(EXEEXT)
ifeq "$(USE_BOOST)" "1"
	$(STRIP) decompile$(EXEEXT) -o $(AOS4PATH)/tools/decompile$(EXEEXT)
endif
	$(STRIP) degob$(EXEEXT) -o $(AOS4PATH)/tools/degob$(EXEEXT)
	$(STRIP) dekyra$(EXEEXT) -o $(AOS4PATH)/tools/dekyra$(EXEEXT)
	$(STRIP) deriven$(EXEEXT) -o $(AOS4PATH)/tools/deriven$(EXEEXT)
	$(STRIP) descumm$(EXEEXT) -o $(AOS4PATH)/tools/descumm$(EXEEXT)
	$(STRIP) desword2$(EXEEXT) -o $(AOS4PATH)/tools/desword2$(EXEEXT)
	$(STRIP) extract_mohawk$(EXEEXT) -o $(AOS4PATH)/tools/extract_mohawk$(EXEEXT)
	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AOS4PATH)/tools/gob_loadcalc$(EXEEXT)
ifeq "$(USE_WXWIDGETS)" "1"
	$(STRIP) scummvm-tools$(EXEEXT) -o $(AOS4PATH)/tools/scummvm-tools$(EXEEXT)
endif
	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AOS4PATH)/tools/scummvm-tools-cli$(EXEEXT)
	#cp ${srcdir}/icons/scummvm-tools.info $(AOS4PATH)/scummvm-tools.info
	cp $(srcdir)/COPYING $(AOS4PATH)/tools/COPYING.txt
	cp $(srcdir)/README $(AOS4PATH)/tools/README.txt
	cp $(srcdir)/NEWS $(AOS4PATH)/tools/NEWS.txt

=== debian/changelog ===
scummvm-tools (1.7.0-1) unstable; urgency=low

  * Initial release. Closes: #653617.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Feb 2016 23:20:38 +0100

=== debian/control ===
Source: scummvm-tools
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Stephen Kitt <skitt@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>=9),
 libboost-program-options-dev,
 libflac-dev,
 libfreetype6-dev,
 libmad0-dev,
 libpng-dev,
 libvorbis-dev,
 libwxgtk3.0-dev,
 python,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git

Package: scummvm-tools
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: collection of tools for ScummVM
 This package contains various tools which may be useful in
 conjunction with ScummVM.
 .
 The tools include:
  * compression tools to re-compress ScummVM games' assets;
  * extraction tools, either to extract resources from game assets, or
    to convert assets from one format to another (e.g. PC Engine or
    Macintosh releases);
  * game script analysis tools.
 .
 A GUI is provided alongside the command-line tools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	[ ! -f config.mk ] || dh_auto_clean

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--bindir=/usr/games \
		--datadir=/usr/share/games \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/x86_64-linux-gnu \
		--enable-verbose-build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="dirversionmangle=s/rc/~rc/" \
  http://www.scummvm.org/frs/scummvm-tools/([\d+\.]+)/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## scummvm-tools 1.8.0

=== Makefile ===
--- 
+++ 
@@ -172,36 +172,36 @@
 #
 
 # Special target to create an AmigaOS snapshot installation
-aos4dist: all
-	mkdir -p $(AOS4PATH)
-	mkdir -p $(AOS4PATH)/graphics
-	mkdir -p $(AOS4PATH)/tools
-	mkdir -p $(AOS4PATH)/tools/media
-	cp $(srcdir)/gui/media/detaillogo.jpg $(AOS4PATH)/tools/media/
-	cp $(srcdir)/gui/media/logo.jpg $(AOS4PATH)/tools/media/
-	cp $(srcdir)/gui/media/tile.gif $(AOS4PATH)/tools/media/
-	$(STRIP) construct_mohawk$(EXEEXT) -o $(AOS4PATH)/tools/construct_mohawk$(EXEEXT)
+amigaos4dist: all
+	mkdir -p $(AMIGAOS4PATH)
+	mkdir -p $(AMIGAOS4PATH)/graphics
+	mkdir -p $(AMIGAOS4PATH)/tools
+	mkdir -p $(AMIGAOS4PATH)/tools/media
+	cp $(srcdir)/gui/media/detaillogo.jpg $(AMIGAOS4PATH)/tools/media/
+	cp $(srcdir)/gui/media/logo.jpg $(AMIGAOS4PATH)/tools/media/
+	cp $(srcdir)/gui/media/tile.gif $(AMIGAOS4PATH)/tools/media/
+	$(STRIP) construct_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/construct_mohawk$(EXEEXT)
 ifeq "$(USE_FREETYPE)" "1"
 ifeq "$(USE_ICONV)" "1"
-	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AOS4PATH)/tools/create_sjisfnt$(EXEEXT)
-endif
-endif
-	$(STRIP) decine$(EXEEXT) -o $(AOS4PATH)/tools/decine$(EXEEXT)
+	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AMIGAOS4PATH)/tools/create_sjisfnt$(EXEEXT)
+endif
+endif
+	$(STRIP) decine$(EXEEXT) -o $(AMIGAOS4PATH)/tools/decine$(EXEEXT)
 ifeq "$(USE_BOOST)" "1"
-	$(STRIP) decompile$(EXEEXT) -o $(AOS4PATH)/tools/decompile$(EXEEXT)
-endif
-	$(STRIP) degob$(EXEEXT) -o $(AOS4PATH)/tools/degob$(EXEEXT)
-	$(STRIP) dekyra$(EXEEXT) -o $(AOS4PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT) -o $(AOS4PATH)/tools/deriven$(EXEEXT)
-	$(STRIP) descumm$(EXEEXT) -o $(AOS4PATH)/tools/descumm$(EXEEXT)
-	$(STRIP) desword2$(EXEEXT) -o $(AOS4PATH)/tools/desword2$(EXEEXT)
-	$(STRIP) extract_mohawk$(EXEEXT) -o $(AOS4PATH)/tools/extract_mohawk$(EXEEXT)
-	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AOS4PATH)/tools/gob_loadcalc$(EXEEXT)
+	$(STRIP) decompile$(EXEEXT) -o $(AMIGAOS4PATH)/tools/decompile$(EXEEXT)
+endif
+	$(STRIP) degob$(EXEEXT) -o $(AMIGAOS4PATH)/tools/degob$(EXEEXT)
+	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOS4PATH)/tools/dekyra$(EXEEXT)
+	$(STRIP) deriven$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deriven$(EXEEXT)
+	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOS4PATH)/tools/descumm$(EXEEXT)
+	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOS4PATH)/tools/desword2$(EXEEXT)
+	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/extract_mohawk$(EXEEXT)
+	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AMIGAOS4PATH)/tools/gob_loadcalc$(EXEEXT)
 ifeq "$(USE_WXWIDGETS)" "1"
-	$(STRIP) scummvm-tools$(EXEEXT) -o $(AOS4PATH)/tools/scummvm-tools$(EXEEXT)
-endif
-	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AOS4PATH)/tools/scummvm-tools-cli$(EXEEXT)
-	#cp ${srcdir}/icons/scummvm-tools.info $(AOS4PATH)/scummvm-tools.info
-	cp $(srcdir)/COPYING $(AOS4PATH)/tools/COPYING.txt
-	cp $(srcdir)/README $(AOS4PATH)/tools/README.txt
-	cp $(srcdir)/NEWS $(AOS4PATH)/tools/NEWS.txt
+	$(STRIP) scummvm-tools$(EXEEXT) -o $(AMIGAOS4PATH)/tools/scummvm-tools$(EXEEXT)
+endif
+	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AMIGAOS4PATH)/tools/scummvm-tools-cli$(EXEEXT)
+	#cp ${srcdir}/icons/scummvm-tools.info $(AMIGAOS4PATH)/scummvm-tools.info
+	cp $(srcdir)/COPYING $(AMIGAOS4PATH)/tools/COPYING.txt
+	cp $(srcdir)/README $(AMIGAOS4PATH)/tools/README.txt
+	cp $(srcdir)/NEWS $(AMIGAOS4PATH)/tools/NEWS.txt

=== debian/changelog ===
scummvm-tools (1.8.0-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:45:32 +0000

scummvm-tools (1.8.0-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:03 +0000

scummvm-tools (1.8.0-2) unstable; urgency=medium

  [ Phil Morrell ]
  * Fix debian/watch to exclude -win32.zip but still allow release
    candidates.

  [ Stephen Kitt ]
  * Allow building on kFreeBSD and Hurd. Closes: #814753.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.7, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Mar 2016 22:51:03 +0200

scummvm-tools (1.8.0-1) unstable; urgency=medium

  * New upstream release, including spelling-fixes.patch.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 13:40:38 +0100

=== debian/control ===
Source: scummvm-tools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libboost-program-options-dev,
               libflac-dev,
               libfreetype6-dev,
               libmad0-dev,
               libpng-dev,
               libvorbis-dev,
               libwxgtk3.0-dev,
               python,
               zlib1g-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools

Package: scummvm-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: collection of tools for ScummVM
 This package contains various tools which may be useful in
 conjunction with ScummVM.
 .
 The tools include:
  * compression tools to re-compress ScummVM games' assets;
  * extraction tools, either to extract resources from game assets, or
    to convert assets from one format to another (e.g. PC Engine or
    Macintosh releases);
  * game script analysis tools.
 .
 A GUI is provided alongside the command-line tools.

## scummvm-tools 1.9.0

=== debian/changelog ===
scummvm-tools (1.9.0-1) unstable; urgency=medium

  * New upstream release, including compilation-fixes.patch.
  * Add spelling-fixes.patch to fix a lintian-detected spelling mistake.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Nov 2016 13:26:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: scummvm-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
@@ -15,7 +13,7 @@
                libwxgtk3.0-dev,
                python,
                zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools

=== debian/watch ===
version=4
# s/-/~/ excludes e.g. -win32.zip
opts="dirversionmangle=s/rc/~rc/;s/b/~b/, \
      uversionmangle=s/rc/~rc/;s/b/~b/;s/-/~/" \
  http://www.scummvm.org/frs/scummvm-tools/(\d[\-+\.:\~\da-zA-Z]*)/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## scummvm-tools 2.0.0

=== Makefile ===
--- 
+++ 
@@ -77,17 +77,6 @@
 	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
 endif
 
-# Special target to create a application wrapper for Mac OS X
-bundle_name = ScummVM\ Tools.app
-bundle: scummvm-tools$(EXEEXT)
-	mkdir -p $(bundle_name)
-	mkdir -p $(bundle_name)/Contents
-	mkdir -p $(bundle_name)/Contents/MacOS
-	mkdir -p $(bundle_name)/Contents/Resources
-	echo "APPL????" > $(bundle_name)/Contents/PkgInfo
-	cp $(srcdir)/dists/macosx/Info.plist $(bundle_name)/Contents/
-	cp $(srcdir)/gui/media/*.* $(bundle_name)/Contents/Resources
-	cp scummvm-tools$(EXEEXT) $(bundle_name)/Contents/MacOS/
 
 #
 # Windows specific
@@ -167,6 +156,72 @@
 	$(STRIP) scummvm-tools-cli$(EXEEXT)  -o $(srcdir)/$(WIN32BUILD)/scummvm-tools-cli$(EXEEXT)
 	makensis -V2 -Dtop_srcdir="../.." -Dtext_dir="../../$(WIN32BUILD)" -Dbuild_dir="../../$(WIN32BUILD)" $(srcdir)/dists/win32/scummvm-tools.nsi
 
+
+#
+# OS X specific
+#
+
+ifdef USE_VORBIS
+OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libvorbisfile.a $(STATICLIBPATH)/lib/libvorbis.a $(STATICLIBPATH)/lib/libvorbisenc.a $(STATICLIBPATH)/lib/libogg.a
+endif
+
+ifdef USE_FLAC
+OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libFLAC.a
+endif
+
+ifdef USE_MAD
+OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libmad.a
+endif
+
+ifdef USE_PNG
+OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libpng.a
+endif
+
+ifdef USE_ZLIB
+OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libz.a
+endif
+
+
+# Special target to create a static linked binaries for Mac OS X.
+scummvm-tools-static: $(scummvm-tools_OBJS)
+	$(CXX) $(LDFLAGS) -o scummvm-tools-static $(scummvm-tools_OBJS) \
+		-framework AudioUnit -framework AudioToolbox -framework Carbon -framework CoreMIDI \
+		$(WXSTATICLIBS) $(OSX_STATIC_LIBS)
+
+scummvm-tools-cli-static: $(scummvm-tools-cli_OBJS)
+	$(CXX) $(LDFLAGS) -o scummvm-tools-cli-static $(scummvm-tools-cli_OBJS) \
+		-framework AudioUnit -framework AudioToolbox -framework Carbon -framework CoreMIDI \
+		$(OSX_STATIC_LIBS)
+
+bundle_name = ScummVM\ Tools.app
+bundle: scummvm-tools-static
+	mkdir -p $(bundle_name)
+	mkdir -p $(bundle_name)/Contents
+	mkdir -p $(bundle_name)/Contents/MacOS
+	mkdir -p $(bundle_name)/Contents/Resources
+	echo "APPL????" > $(bundle_name)/Contents/PkgInfo
+	cp $(srcdir)/dists/macosx/Info.plist $(bundle_name)/Contents/
+	cp $(srcdir)/gui/media/*.* $(bundle_name)/Contents/Resources
+	cp scummvm-tools-static $(bundle_name)/Contents/MacOS/scummvm-tools
+
+# Special target to create a snapshot disk image for Mac OS X
+osxsnap: bundle scummvm-tools-cli-static
+	mkdir ScummVM-Tools-snapshot
+	cp $(srcdir)/COPYING ./ScummVM-Tools-snapshot/License\ \(GPL\)
+	cp $(srcdir)/NEWS ./ScummVM-Tools-snapshot/News
+	cp $(srcdir)/README ./ScummVM-Tools-snapshot/ScummVM\ ReadMe
+	$(XCODETOOLSPATH)/SetFile -t ttro -c ttxt ./ScummVM-Tools-snapshot/*
+	$(XCODETOOLSPATH)/CpMac -r $(bundle_name) ./ScummVM-Tools-snapshot/
+	cp scummvm-tools-cli-static ./ScummVM-Tools-snapshot/scummvm-tools-cli
+	cp $(srcdir)/dists/macosx/DS_Store ./ScummVM-Tools-snapshot/.DS_Store
+	$(XCODETOOLSPATH)/SetFile -a V ./ScummVM-Tools-snapshot/.DS_Store
+	hdiutil create -ov -format UDZO -imagekey zlib-level=9 -fs HFS+ \
+					-srcfolder ScummVM-Tools-snapshot \
+					-volname "ScummVM Tools" \
+					ScummVM-Tools-snapshot.dmg
+	rm -rf ScummVM-snapshot
+
+
 #
 # AmigaOS specific
 #

=== debian/changelog ===
scummvm-tools (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 11.
  * Use a secure upstream URL in debian/watch.
  * Add manpages for most of the smaller tools.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Jan 2018 23:15:00 +0100

scummvm-tools (1.9.0-2) unstable; urgency=medium

  * Avoid disabling -Wformat, which causes a build failure with GCC 7.
    Closes: #871066.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 Aug 2017 22:36:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
@@ -13,7 +13,7 @@
                libwxgtk3.0-dev,
                python,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f config.mk ] || dh_auto_clean

=== debian/watch ===
version=4
# s/-/~/ excludes e.g. -win32.zip
opts="dirversionmangle=s/rc/~rc/;s/b/~b/, \
      uversionmangle=s/rc/~rc/;s/b/~b/;s/-/~/" \
  https://www.scummvm.org/frs/scummvm-tools/(\d[\-+\.:\~\da-zA-Z]*)/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## scummvm-tools 2.1.0

=== Makefile ===
--- 
+++ 
@@ -86,15 +86,13 @@
 	$(QUIET_WINDRES)$(WINDRES) -DHAVE_CONFIG_H $(WINDRESFLAGS) $(DEFINES) -I. -I$(srcdir) $(srcdir)/dists/scummvmtools.rc scummvmtoolswinres.o
 
 # Special target to create a win32 tools snapshot binary
-WIN32PATH=c:/scummvm
+WIN32PATH ?= build
 win32dist:   all
-	mkdir -p $(WIN32PATH)
 	mkdir -p $(WIN32PATH)/graphics
-	mkdir -p $(WIN32PATH)/tools
 	mkdir -p $(WIN32PATH)/tools/media
-	cp gui/media/detaillogo.jpg $(WIN32PATH)/tools/media/
-	cp gui/media/logo.jpg $(WIN32PATH)/tools/media/
-	cp gui/media/tile.gif $(WIN32PATH)/tools/media/
+	cp $(srcdir)/gui/media/detaillogo.jpg $(WIN32PATH)/tools/media/
+	cp $(srcdir)/gui/media/logo.jpg $(WIN32PATH)/tools/media/
+	cp $(srcdir)/gui/media/tile.gif $(WIN32PATH)/tools/media/
 	$(STRIP) construct_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/construct_mohawk$(EXEEXT)
 ifeq "$(USE_FREETYPE)" "1"
 ifeq "$(USE_ICONV)" "1"
@@ -107,7 +105,7 @@
 endif
 	$(STRIP) degob$(EXEEXT) -o $(WIN32PATH)/tools/degob$(EXEEXT)
 	$(STRIP) dekyra$(EXEEXT) -o $(WIN32PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT) -o $(WIN32PATH)/tools/deriven$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT) -o $(WIN32PATH)/tools/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT) -o $(WIN32PATH)/tools/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT) -o $(WIN32PATH)/tools/desword2$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/extract_mohawk$(EXEEXT)
@@ -116,13 +114,13 @@
 	$(STRIP) scummvm-tools$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools$(EXEEXT)
 endif
 	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools-cli$(EXEEXT)
-	cp *.bat $(WIN32PATH)/tools
-	cp COPYING $(WIN32PATH)/tools/COPYING.txt
-	cp README $(WIN32PATH)/tools/README.txt
-	cp NEWS $(WIN32PATH)/tools/NEWS.txt
-	cp dists/win32/graphics/left.bmp $(WIN32PATH)/graphics
-	cp dists/win32/graphics/scummvm-install.ico $(WIN32PATH)/graphics
-	cp dists/win32/ScummVM?Tools.iss $(WIN32PATH)
+	cp $(srcdir)/*.bat $(WIN32PATH)/tools
+	cp $(srcdir)/COPYING $(WIN32PATH)/tools/COPYING.txt
+	cp $(srcdir)/README $(WIN32PATH)/tools/README.txt
+	cp $(srcdir)/NEWS $(WIN32PATH)/tools/NEWS.txt
+	cp $(srcdir)/dists/win32/graphics/left.bmp $(WIN32PATH)/graphics
+	cp $(srcdir)/dists/win32/graphics/scummvm-install.ico $(WIN32PATH)/graphics
+	cp $(srcdir)/dists/win32/ScummVM?Tools.iss $(WIN32PATH)
 	unix2dos $(WIN32PATH)/tools/*.txt
 
 # Special target to create a win32 NSIS installer
@@ -145,7 +143,7 @@
 endif
 	$(STRIP) degob$(EXEEXT)              -o $(srcdir)/$(WIN32BUILD)/degob$(EXEEXT)
 	$(STRIP) dekyra$(EXEEXT)             -o $(srcdir)/$(WIN32BUILD)/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/deriven$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
@@ -247,7 +245,7 @@
 endif
 	$(STRIP) degob$(EXEEXT) -o $(AMIGAOS4PATH)/tools/degob$(EXEEXT)
 	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOS4PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deriven$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOS4PATH)/tools/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOS4PATH)/tools/desword2$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/extract_mohawk$(EXEEXT)
@@ -260,3 +258,37 @@
 	cp $(srcdir)/COPYING $(AMIGAOS4PATH)/tools/COPYING.txt
 	cp $(srcdir)/README $(AMIGAOS4PATH)/tools/README.txt
 	cp $(srcdir)/NEWS $(AMIGAOS4PATH)/tools/NEWS.txt
+
+#
+# RISC OS specific
+#
+
+ifdef QUIET
+QUIET_ELF2AIF = @echo '   ' ELF2AIF '' $@;
+endif
+
+, := ,
+
+# Special target to create an RISC OS snapshot installation
+riscosdist: all riscosboot $(addprefix !ScummTool/bin/,$(addsuffix $(,)ff8,$(PROGRAMS)))
+	cp ${srcdir}/dists/riscos/!Run,feb !ScummTool/!Run,feb
+	cp ${srcdir}/dists/riscos/!Sprites,ff9 !ScummTool/!Sprites,ff9
+	cp ${srcdir}/dists/riscos/!Sprites11,ff9 !ScummTool/!Sprites11,ff9
+	cp $(srcdir)/README !ScummTool/!Help,fff
+	cp $(srcdir)/COPYING !ScummTool/COPYING,fff
+	cp $(srcdir)/NEWS !ScummTool/NEWS,fff
+ifeq "$(USE_WXWIDGETS)" "1"
+	mkdir -p !ScummTool/bin/media
+	cp $(srcdir)/gui/media/detaillogo.jpg !ScummTool/bin/media/detaillogo.jpg,c85
+	cp $(srcdir)/gui/media/logo.jpg !ScummTool/bin/media/logo.jpg,c85
+	cp $(srcdir)/gui/media/tile.gif !ScummTool/bin/media/tile.gif,695
+endif
+
+riscosboot:
+	mkdir -p !ScummTool/bin
+	cp ${srcdir}/dists/riscos/!Boot,feb !ScummTool/!Boot,feb
+	rm -rf !ScummTool/bin/*,ff8
+
+!ScummTool/bin/%,ff8: %$(EXEEXT)
+	$(QUIET_ELF2AIF)elf2aif $(<) !ScummTool/bin/$*,ff8
+	$(QUIET)echo "Set Alias\$$$* <ScummTool\$$Dir>.bin.$* %%*0" >> !ScummTool/!Boot,feb

=== debian/changelog ===
scummvm-tools (2.1.0-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:39:02 +0000

scummvm-tools (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Oct 2019 18:13:06 +0200

scummvm-tools (2.0.0-5) unstable; urgency=medium

  * Allow cross-building.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Sep 2019 22:04:38 +0200

scummvm-tools (2.0.0-4) unstable; urgency=medium

  * Use the Perl test generator instead of the Python 2 version.
    Closes: #938453.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Sep 2019 20:57:03 +0200

scummvm-tools (2.0.0-3) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update watch file.

  [ Stephen Kitt ]
  * Switch to Gtk 3. Closes: #933461.
  * Switch to debhelper compatibility level 12.
  * Update spelling fixes.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.4.0, no further change required.
  * Explicitly build-depend on pkg-config.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Aug 2019 20:54:12 +0200

scummvm-tools (2.0.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Use pkg-config to find freetype2. Closes: #892443.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 22:54:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: scummvm-tools
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
                libmad0-dev,
                libpng-dev,
                libvorbis-dev,
-               libwxgtk3.0-dev,
-               python,
+               libwxgtk3.0-gtk3-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
+Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
+Rules-Requires-Root: no
 
 Package: scummvm-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DPKG_EXPORT_BUILDTOOLS = 1
+include /usr/share/dpkg/buildtools.mk
+
+include /usr/share/dpkg/architecture.mk
+
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+	HOST := --host=$(DEB_HOST_GNU_TYPE)
+else
+	HOST :=
+endif
 
 %:
 	dh $@
@@ -9,7 +20,7 @@
 	[ ! -f config.mk ] || dh_auto_clean
 
 override_dh_auto_configure:
-	./configure \
+	./configure $(HOST) \
 		--prefix=/usr \
 		--bindir=/usr/games \
 		--datadir=/usr/share/games \

## scummvm-tools 2.2.0

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,7 @@
 	cp $(srcdir)/gui/media/logo.jpg $(WIN32PATH)/tools/media/
 	cp $(srcdir)/gui/media/tile.gif $(WIN32PATH)/tools/media/
 	$(STRIP) construct_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/construct_mohawk$(EXEEXT)
-ifeq "$(USE_FREETYPE)" "1"
+ifeq "$(USE_FREETYPE2)" "1"
 ifeq "$(USE_ICONV)" "1"
 	$(STRIP) create_sjisfnt$(EXEEXT) -o $(WIN32PATH)/tools/create_sjisfnt$(EXEEXT)
 endif
@@ -132,7 +132,7 @@
 	cp $(srcdir)/README           $(srcdir)/$(WIN32BUILD)
 	unix2dos $(srcdir)/$(WIN32BUILD)/*.*
 	$(STRIP) construct_mohawk$(EXEEXT)   -o $(srcdir)/$(WIN32BUILD)/construct_mohawk$(EXEEXT)
-ifeq "$(USE_FREETYPE)" "1"
+ifeq "$(USE_FREETYPE2)" "1"
 ifeq "$(USE_ICONV)" "1"
 	$(STRIP) create_sjisfnt$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/create_sjisfnt$(EXEEXT)
 endif
@@ -234,7 +234,7 @@
 	cp $(srcdir)/gui/media/logo.jpg $(AMIGAOS4PATH)/tools/media/
 	cp $(srcdir)/gui/media/tile.gif $(AMIGAOS4PATH)/tools/media/
 	$(STRIP) construct_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/construct_mohawk$(EXEEXT)
-ifeq "$(USE_FREETYPE)" "1"
+ifeq "$(USE_FREETYPE2)" "1"
 ifeq "$(USE_ICONV)" "1"
 	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AMIGAOS4PATH)/tools/create_sjisfnt$(EXEEXT)
 endif

=== sci/sfx/mt32_GM_mapping/Makefile ===
CC	=gcc
CFLAGS	=-O2 -Wall
objects =main.o

mtgm: $(objects)
	$(CC) -o mtgm $(objects)

main.o: main.c
	$(CC) $(CFLAGS) -c main.c

.PHONY: clean distclean
clean:
	 rm -f mtgm $(objects)
distclean:
	 rm -f mtgm $(objects) *~

=== decompiler/test/cxxtest/sample/mock/Makefile ===
all: roll run

clean:
	rm -f *~ *.o roll test test.cpp

CXXTEST = ../..
CCFLAGS = -I. -I$(CXXTEST)

roll: roll.o Dice.o real_stdlib.o
	g++ -o $@ $^

run: test
	./test

test: test.o Dice.o mock_stdlib.o
	g++ -o $@ $^

.cpp.o:
	g++ -c -o $@ $(CCFLAGS) $<

test.cpp: TestDice.h
	$(CXXTEST)/cxxtestgen.pl -o $@ --error-printer $<

=== debian/changelog ===
scummvm-tools (2.2.0-1) unstable; urgency=medium

  * New upstream release, obsoleting freetype2-pkg-config.patch.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Oct 2020 09:04:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: scummvm-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
@@ -14,7 +13,7 @@
                libwxgtk3.0-gtk3-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools

## scummvm-tools 2.5.0

=== Makefile ===
--- 
+++ 
@@ -146,7 +146,10 @@
 	$(STRIP) deprince$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
+	$(STRIP) extract_hadesch$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_hadesch$(EXEEXT)
+	$(STRIP) extract_lokalizator$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_lokalizator$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
+	$(STRIP) extract_ngi$(EXEEXT)        -o $(srcdir)/$(WIN32BUILD)/extract_ngi$(EXEEXT)
 	$(STRIP) gob_loadcalc$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/gob_loadcalc$(EXEEXT)
 ifeq "$(USE_WXWIDGETS)" "1"
 	$(STRIP) scummvm-tools$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/scummvm-tools$(EXEEXT)
@@ -223,41 +226,51 @@
 #
 # AmigaOS specific
 #
-
-# Special target to create an AmigaOS snapshot installation
-amigaos4dist: all
-	mkdir -p $(AMIGAOS4PATH)
-	mkdir -p $(AMIGAOS4PATH)/graphics
-	mkdir -p $(AMIGAOS4PATH)/tools
-	mkdir -p $(AMIGAOS4PATH)/tools/media
-	cp $(srcdir)/gui/media/detaillogo.jpg $(AMIGAOS4PATH)/tools/media/
-	cp $(srcdir)/gui/media/logo.jpg $(AMIGAOS4PATH)/tools/media/
-	cp $(srcdir)/gui/media/tile.gif $(AMIGAOS4PATH)/tools/media/
-	$(STRIP) construct_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/construct_mohawk$(EXEEXT)
+# Special target to create an AmigaOS snapshot installation.
+amigaosdist: all
+	mkdir -p $(AMIGAOSPATH)
+	mkdir -p $(AMIGAOSPATH)/doc
+	mkdir -p $(AMIGAOSPATH)/media
+	# Install documents
+	cp $(srcdir)/COPYING $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/COPYRIGHT $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/NEWS $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/README $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/TODO $(AMIGAOSPATH)/doc/
+	# Install media files
+	cp $(srcdir)/gui/media/detaillogo.jpg $(AMIGAOSPATH)/media/
+	cp $(srcdir)/gui/media/logo.jpg $(AMIGAOSPATH)/media/
+	cp $(srcdir)/gui/media/scummvmtools_128.png $(AMIGAOSPATH)/media/
+	cp $(srcdir)/gui/media/tile.gif $(AMIGAOSPATH)/media/
+	# Install icons
+	cp ${srcdir}/gui/media/scummvm-tools.info $(AMIGAOSPATH)/scummvm-tools-cli.info
+	cp ${srcdir}/gui/media/scummvm-tools_drawer.info $(AMIGAOSPATH)/media/
+	# Install tools
+	$(STRIP) construct_mohawk$(EXEEXT) -o $(AMIGAOSPATH)/construct_mohawk$(EXEEXT)
 ifeq "$(USE_FREETYPE2)" "1"
 ifeq "$(USE_ICONV)" "1"
-	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AMIGAOS4PATH)/tools/create_sjisfnt$(EXEEXT)
-endif
-endif
-	$(STRIP) decine$(EXEEXT) -o $(AMIGAOS4PATH)/tools/decine$(EXEEXT)
+	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AMIGAOSPATH)/create_sjisfnt$(EXEEXT)
+endif
+endif
+	$(STRIP) decine$(EXEEXT) -o $(AMIGAOSPATH)/decine$(EXEEXT)
 ifeq "$(USE_BOOST)" "1"
-	$(STRIP) decompile$(EXEEXT) -o $(AMIGAOS4PATH)/tools/decompile$(EXEEXT)
-endif
-	$(STRIP) degob$(EXEEXT) -o $(AMIGAOS4PATH)/tools/degob$(EXEEXT)
-	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOS4PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deprince$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deprince$(EXEEXT)
-	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOS4PATH)/tools/descumm$(EXEEXT)
-	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOS4PATH)/tools/desword2$(EXEEXT)
-	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/extract_mohawk$(EXEEXT)
-	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AMIGAOS4PATH)/tools/gob_loadcalc$(EXEEXT)
+	$(STRIP) decompile$(EXEEXT) -o $(AMIGAOSPATH)/decompile$(EXEEXT)
+endif
+	$(STRIP) degob$(EXEEXT) -o $(AMIGAOSPATH)/degob$(EXEEXT)
+	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOSPATH)/dekyra$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT) -o $(AMIGAOSPATH)/deprince$(EXEEXT)
+	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOSPATH)/descumm$(EXEEXT)
+	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOSPATH)/desword2$(EXEEXT)
+	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOSPATH)/extract_mohawk$(EXEEXT)
+	$(STRIP) extract_ngi$(EXEEXT) -o $(AMIGAOSPATH)/extract_ngi$(EXEEXT)
+	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AMIGAOSPATH)/gob_loadcalc$(EXEEXT)
 ifeq "$(USE_WXWIDGETS)" "1"
-	$(STRIP) scummvm-tools$(EXEEXT) -o $(AMIGAOS4PATH)/tools/scummvm-tools$(EXEEXT)
-endif
-	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AMIGAOS4PATH)/tools/scummvm-tools-cli$(EXEEXT)
-	#cp ${srcdir}/icons/scummvm-tools.info $(AMIGAOS4PATH)/scummvm-tools.info
-	cp $(srcdir)/COPYING $(AMIGAOS4PATH)/tools/COPYING.txt
-	cp $(srcdir)/README $(AMIGAOS4PATH)/tools/README.txt
-	cp $(srcdir)/NEWS $(AMIGAOS4PATH)/tools/NEWS.txt
+	$(STRIP) scummvm-tools$(EXEEXT) -o $(AMIGAOSPATH)/scummvm-tools$(EXEEXT)
+endif
+	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AMIGAOSPATH)/scummvm-tools-cli$(EXEEXT)
+	$(STRIP) extract_hadesch$(EXEEXT) -o $(AMIGAOSPATH)/extract_hadesch$(EXEEXT)
+	$(STRIP) extract_lokalizator$(EXEEXT) -o $(AMIGAOSPATH)/extract_lokalizator$(EXEEXT)
+
 
 #
 # RISC OS specific
@@ -289,6 +302,3 @@
 	cp ${srcdir}/dists/riscos/!Boot,feb !ScummTool/!Boot,feb
 	rm -rf !ScummTool/bin/*,ff8
 
-!ScummTool/bin/%,ff8: %$(EXEEXT)
-	$(QUIET_ELF2AIF)elf2aif $(<) !ScummTool/bin/$*,ff8
-	$(QUIET)echo "Set Alias\$$$* <ScummTool\$$Dir>.bin.$* %%*0" >> !ScummTool/!Boot,feb

=== debian/changelog ===
scummvm-tools (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Oct 2021 14:50:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libwxgtk3.0-gtk3-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
